RSA_check_key(3)

NAME
RSA_check_key - validate private RSA keys

SYNOPSIS

 #include <openssl/rsa.h>
 int RSA_check_key(RSA *rsa);

DESCRIPTION
This function validates RSA keys. It checks that p and q are in fact prime, and that n = p*q.

It also checks that d*e = 1 mod (p-1*q-1), and that dmp1, dmq1 and iqmp are set correctly or are NULL.

The key's public components may not be NULL.

RETURN VALUE
RSA_check_key() returns 1 if rsa is a valid RSA key, and 0 otherwise. -1 is returned if an error occurs while checking the key.

If the key is invalid or an error occurred, the reason code can be obtained using ERR_get_error(3).

SEE ALSO
rsa(3), err(3)

HISTORY
RSA_check() appeared in OpenSSL 0.9.4.